org.apache.ignite.internal.util.tostring

## Class SBLimitedLength

- java.lang.Object
- - org.apache.ignite.internal.util.GridStringBuilder
  - - org.apache.ignite.internal.util.tostring.SBLimitedLength

All Implemented Interfaces:
  Serializable

    public class SBLimitedLength
    extends GridStringBuilder

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`GridStringBuilder` `a(boolean b)`
`GridStringBuilder` `a(char c)`
`GridStringBuilder` `a(char[] str)`
`GridStringBuilder` `a(char[] str, int offset, int len)`
`GridStringBuilder` `a(CharSequence s)`
`GridStringBuilder` `a(CharSequence s, int start, int end)`
`GridStringBuilder` `a(double d)`
`GridStringBuilder` `a(float f)`
`GridStringBuilder` `a(int i)`
`GridStringBuilder` `a(long lng)`
`GridStringBuilder` `a(Object obj)`
`GridStringBuilder` `a(String str)`
`GridStringBuilder` `a(StringBuffer sb)`
`GridStringBuilder` `appendCodePoint(int codePoint)`
`CircularStringBuilder` `getTail()`
`boolean` `isOverflowed()`
`void` `reset()` Resets buffer.
`void` `setTail(CircularStringBuilder tail)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.GridStringBuilder

`appendHex, appendHex, d, d, i, i, i, i, i, i, i, i, i, i, i, i, impl, length, r, setLength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### reset

    public void reset()

Resets buffer.

#### getTail

    public CircularStringBuilder getTail()

Returns:
  tail string builder.

#### setTail

    public void setTail(CircularStringBuilder tail)

Parameters:
  `tail` - tail CircularStringBuilder to set.

#### a

    public GridStringBuilder a(Object obj)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `obj` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(String str)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `str` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(StringBuffer sb)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `sb` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(CharSequence s)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `s` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(CharSequence s,
                               int start,
                               int end)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `s` - Element to add.
  `start` - Start position.
  `end` - End position.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(char[] str)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `str` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(char[] str,
                               int offset,
                               int len)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `str` - Element to add.
  `offset` - Start offset.
  `len` - Length.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(boolean b)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `b` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(char c)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `c` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(int i)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `i` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(long lng)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `lng` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(float f)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `f` - Element to add.
Returns:
  This buffer for chaining method calls.

#### a

    public GridStringBuilder a(double d)

Overrides:
  `a` in class `GridStringBuilder`
Parameters:
  `d` - Element to add.
Returns:
  This buffer for chaining method calls.

#### appendCodePoint

    public GridStringBuilder appendCodePoint(int codePoint)

Overrides:
  `appendCodePoint` in class `GridStringBuilder`
Parameters:
  `codePoint` - Element to add.
Returns:
  This buffer for chaining method calls.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridStringBuilder`

#### isOverflowed

    public boolean isOverflowed()

Returns:
  `True` - if buffer limit is reached.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020